Project Chrono: LittleHexy copter model

Classes | Functions
LittleHexy copter model
Models » Robot models

## Description

Collaboration diagram for LittleHexy copter model:

## Classes
class | chrono::copter::Copter< nop >
| Base class for any copter, template parameter nop is the number of propellers. More...
class | chrono::copter::Little_Hexy
| Little hexy (hexacopter) model. More...

## Functions
| chrono::copter::Copter< nop >::Copter (ChSystem &sys, const ChVector3d &cpos, std::vector< ChVector3d > ppos, const bool clockwise[], bool are_prop_pos_rel=true, bool z_up=false)
void | chrono::copter::Copter< nop >::SetPropellerData (double mass, const ChVector3d &inerXX, double diam, double thrust_coeff, double power_coeff, double max_rpm)
| Set the propeller properties.
void | chrono::copter::Copter< nop >::AddVisualizationAssets (const std::string &chassismesh, const std::string &propellermesh, const ChFrame<> &cor_m1, const ChFrame<> &cor_m2)
| Add generic triangular meshes to the chassis and the propellers.
void | chrono::copter::Copter< nop >::ControlIncremental (double inputs[nop])
| Increment propeller angular velocity.
void | chrono::copter::Copter< nop >::ControlAbsolute (double inputs[nop])
| Set Propellers angular velocity.
void | chrono::copter::Copter< nop >::Update (double timestep)
| Update the copter internal physics.
void | chrono::copter::Copter< nop >::RotateCopter (ChMatrix33<> &A)
| Rotates the whole copter given a 3x3 rotation matrix.

## Function Documentation

## ◆ Copter()

template<int nop>

chrono::copter::Copter< nop >::Copter | ( | ChSystem & | sys,
|  | const ChVector3d & | cpos,
|  | std::vector< ChVector3d > | ppos,
|  | const bool | clockwise[],
|  | bool | are_prop_pos_rel = true,
|  | bool | z_up = false )

Parameters

  sys | containing physical system
  cpos | chassis position
  ppos | propeller relative position
  clockwise | rotation direction ofr each propeller
  are_prop_pos_rel | if false, propeller axes position has to be given in the abs frame
  z_up | orientation of vertical axis

## ◆ SetPropellerData()

template<int nop>

void chrono::copter::Copter< nop >::SetPropellerData | ( | double | mass,
|  | const ChVector3d & | inerXX,
|  | double | diam,
|  | double | thrust_coeff,
|  | double | power_coeff,
|  | double | max_rpm )

Set the propeller properties.

Coefficient as eq 6.29 of "Aerodynamics, Aeronautics, and Flight Mechanics" by McCormick.

Parameters

  mass | propeller mass
  inerXX | propeller diagonal inertia (axis assumed principal)
  diam | propeller diameter
  thrust_coeff | propeller thrust coefficient
  power_coeff | propeller power coefficient
  max_rpm | propeller maximum revolutions per minute